Get minting contracts
curl --request GET \
--url https://admin.snagsolutions.io/api/minting/contractsimport requests
url = "https://admin.snagsolutions.io/api/minting/contracts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://admin.snagsolutions.io/api/minting/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "<string>",
"description": "<string>",
"enableGasless": true,
"externalLinkUrl": "<string>",
"hasRevealMechanic": true,
"hideInactiveListings": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>",
"isFreeClaimForBadgeHolders": true,
"isFreeClaimForTokenHolders": true,
"isListed": true,
"isPerAssetMintLimit": true,
"perUserMintLimit": 2,
"isSoulbound": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preRevealMedia": "<string>",
"primarySaleRecipientAddress": "<string>",
"relayerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requireHoldingAllGatedItems": true,
"revealAvailableAt": "2023-11-07T05:31:56Z",
"royaltyFee": null,
"royaltyFeeAddress": "<string>",
"shouldCollectEmail": true,
"showOnMarketplace": true,
"sortId": 123,
"symbol": "<string>",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mintingContractAssets": [
{
"auctionItems": [
{
"id": "<string>"
}
],
"animationUrl": "<string>",
"assetNr": 123,
"currencyAddress": "<string>",
"currencyDecimals": 123,
"description": "<string>",
"id": "<string>",
"imageUrl": "<string>",
"isListed": true,
"isPhygitalItem": true,
"isHidden": true,
"shouldCollectUserInfo": true,
"listingEndsAt": "2023-11-07T05:31:56Z",
"listingStartsAt": "2023-11-07T05:31:56Z",
"loyaltyCurrencyId": "<string>",
"name": "<string>",
"organizationId": "<string>",
"price": null,
"quantity": 123,
"quantityMinted": 123,
"unlimitedQty": true,
"revealedAt": "2023-11-07T05:31:56Z",
"tokenId": 123,
"websiteId": "<string>"
}
],
"totalAssets": 123,
"mintingContractBadgeAssociation": [
{
"loyaltyBadge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"imageUrl": "<string>"
}
}
],
"mustOwnCollections": [
{
"address": "<string>"
}
]
}
],
"hasNextPage": true,
"stats": [
{
"mintingContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_sum": {
"quantity": 123,
"quantityMinted": 123
},
"_count": {
"isListed": 123
}
}
]
}{
"message": "Request body is invalid"
}Minting
Get minting contracts
Get minting contracts
GET
/
api
/
minting
/
contracts
Get minting contracts
Query Parameters
Required range:
1 <= x <= 1000Was this page helpful?
⌘I